- Qt 5.15
- Qt Widgets
- qt_wrap_ui
- Qt 5.15.19 Reference Documentation

# qt_wrap_ui

## Synopsis

     qt_wrap_ui(<VAR> ui_file1 [ui_file2 ...]
                [OPTIONS ...])

## Description

Creates rules for calling the User Interface Compiler (uic) on the given `.ui` files. For each input file, an header file is generated in the build directory. The paths of the generated header files are added to `<VAR>`.

Note: This is a low-level macro. See the CMake AUTOUIC Documentation for a more convenient way to process `.ui` files with `uic`.

This command was introduced in Qt 5.15. You can use qt5_wrap_ui in older versions of Qt.

## Options

You can set additional `OPTIONS` that should be added to the `uic` calls. You can find possible options in the uic documentation.

## Examples

     set(SOURCES mainwindow.cpp main.cpp)
     qt_wrap_ui(SOURCES mainwindow.ui)
     add_executable(myapp ${SOURCES})